Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.XmlWriter class.
jala XmlWriter(header)
Construct a new XML writer.
parameters

String | header | An optional XML header.

methods

- createElement(data)

- getRoot()

- extend(template, ext)

- addNamespace(name, url)

- write()

- toString()

- clone(The)

Methods
jala.XmlWriter. createElement(data)
Get a newly created XML element.
parameters

Object | data | The XML data as object tree.

returns

| The resulting XML element.

jala.XmlWriter. getRoot()
Get the root XML element of this writer.
returns

| The root XML element.

jala.XmlWriter. extend(template, ext)
Extend a template object.
parameters

Object | template | The template object.
Object | ext | The extension object.

returns

| The XML writer.

jala.XmlWriter. addNamespace(name, url)
Add a namespace to this writer.
parameters

String | name | The name of the namespace.
String | url | The URL string of the namespace.

returns

| The XML root element.

jala.XmlWriter. write()
Write the XML to the response buffer.
jala.XmlWriter. toString()
Get the XML output as string.
returns

| The XML output.

jala.XmlWriter. clone(The)
Clone this XML writer.
parameters

Object | The | clone templare.

returns

| The cloned XML writer.

Tue, 25 Nov 2008 16:50:19 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar